Bug 1171320

Summary: Review Request: nodejs-title-case - Title case a string
Product: [Fedora] Fedora Reporter: Piotr Popieluch <piotr1212>
Component: Package ReviewAssignee: Parag AN(पराग) <panemade>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, panemade
Target Milestone: ---Flags: panemade: fedora-review+
gwync: fedora-cvs+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: nodejs-title-case-1.0.1-1.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2014-12-27 00:57:09 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Bug Depends On: 1123537, 1171221, 1171263, 1171302, 1171303    
Bug Blocks: 1171350    

Description Piotr Popieluch 2014-12-05 21:48:29 UTC
Spec URL: https://piotrp.fedorapeople.org/nodejs-title-case.spec
SRPM URL: https://piotrp.fedorapeople.org/nodejs-title-case-1.0.1-1.fc21.src.rpm
Description: Title case a string
Fedora Account System Username: piotrp

Comment 1 Parag AN(पराग) 2014-12-19 16:40:06 UTC
Review:

+ Package built successful in mock (f22 x86_64)

+ rpmlint on generated rpms gave output
nodejs-title-case.noarch: W: only-non-binary-in-usr-lib
nodejs-title-case.noarch: W: dangling-symlink /usr/lib/node_modules/title-case/node_modules/upper-case /usr/lib/node_modules/upper-case
nodejs-title-case.noarch: W: dangling-symlink /usr/lib/node_modules/title-case/node_modules/sentence-case /usr/lib/node_modules/sentence-case
2 packages and 0 specfiles checked; 0 errors, 3 warnings.

+ Source verified with upstream as (sha256sum)
srpm tarball: db78f0c592b1aade05b9916067dbe59a201e7c457104a099534a55336e7cd8be
upstream tarball: db78f0c592b1aade05b9916067dbe59a201e7c457104a099534a55336e7cd8be 

+ License is "MIT" and included in its own LICENSE file.

+ follows nodejs packaging guidelines.

APPROVED.

Comment 2 Piotr Popieluch 2014-12-19 17:20:56 UTC
New Package SCM Request
=======================
Package Name: nodejs-title-case
Short Description: Title case a string
Upstream URL: https://github.com/blakeembrey/title-case
Owners: piotrp
Branches: f20 f21 el6 epel7

Comment 3 Gwyn Ciesla 2014-12-19 17:27:17 UTC
Git done (by process-git-requests).

Comment 4 Fedora Update System 2014-12-19 20:52:39 UTC
nodejs-title-case-1.0.1-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/nodejs-title-case-1.0.1-1.fc21

Comment 5 Fedora Update System 2014-12-19 20:53:14 UTC
nodejs-title-case-1.0.1-1.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/nodejs-title-case-1.0.1-1.fc20

Comment 6 Fedora Update System 2014-12-21 06:35:40 UTC
nodejs-title-case-1.0.1-1.fc20 has been pushed to the Fedora 20 testing repository.

Comment 7 Fedora Update System 2014-12-29 09:57:00 UTC
nodejs-title-case-1.0.1-1.fc20 has been pushed to the Fedora 20 stable repository.

Comment 8 Fedora Update System 2014-12-29 10:01:20 UTC
nodejs-title-case-1.0.1-1.fc21 has been pushed to the Fedora 21 stable repository.

Comment 9 Fedora Update System 2015-01-28 08:41:33 UTC
nodejs-title-case-1.0.1-1.el7 has been submitted as an update for Fedora EPEL 7.
https://admin.fedoraproject.org/updates/nodejs-title-case-1.0.1-1.el7

Comment 10 Fedora Update System 2015-02-15 20:40:09 UTC
nodejs-title-case-1.0.1-1.el7 has been pushed to the Fedora EPEL 7 stable repository.